### R code from vignette source 'HardyWeinberg.Snw'

###################################################
### code chunk number 1: HardyWeinberg.Snw:59-60
###################################################
library(HardyWeinberg)


###################################################
### code chunk number 2: HardyWeinberg.Snw:74-76
###################################################
x <- c(298,489,213)
HW.test <- HWChisq(x,verbose=TRUE)


###################################################
### code chunk number 3: HardyWeinberg.Snw:86-88
###################################################
HW.test <- HWChisq(x)
print(HW.test)


###################################################
### code chunk number 4: HardyWeinberg.Snw:94-95
###################################################
HW.test <- HWChisq(x,cc=0,verbose=TRUE)


###################################################
### code chunk number 5: HardyWeinberg.Snw:101-102
###################################################
HW.lrtest <- HWLratio(x,verbose=TRUE)


###################################################
### code chunk number 6: HardyWeinberg.Snw:108-109
###################################################
HW.exacttest <- HWExact(x,verbose=TRUE)


###################################################
### code chunk number 7: HardyWeinberg.Snw:143-150
###################################################
set.seed(123)

m <- 100 # number of markers
n <- 100 # sample size
out <- HWData(n,m)
Xc <- out$Xc
Xt <- out$Xt


###################################################
### code chunk number 8: HardyWeinberg.Snw:157-158
###################################################
out <- HWTernaryPlot(Xt,region=0,hwcurve=FALSE,vbounds=FALSE,vertex.cex=1.25)


###################################################
### code chunk number 9: HardyWeinberg.Snw:193-201
###################################################
n <- 100
m <- 100
X1 <- HWData(n,m,p=0.5,pfixed=TRUE)$Xt
X2 <- HWData(n,m,p=0.5)$Xt
X3 <- HWData(n,m)$Xt
X4 <- HWData(n,m,p=0.5,f=0.5,pfixed=TRUE)$Xt
X5 <- HWData(n,m,p=0.5,f=0.5,)$Xt
X6 <- HWData(n,m,f=0.5)$Xt


###################################################
### code chunk number 10: HardyWeinberg.Snw:206-218
###################################################
opar <- par(mfrow=c(3,2),mar=c(3,5,3,1)+0.1,mex=0.75,oma=c(2,0,2,0),new=TRUE)
par(mfg=c(1,1))
HWTernaryPlot(X1,main="(a)")
par(mfg=c(2,1))
HWTernaryPlot(X2,main="(b)")
par(mfg=c(3,1))
HWTernaryPlot(X3,main="(c)")
par(mfg=c(2,2))
HWTernaryPlot(X5,main="(e)")
par(mfg=c(3,2))
HWTernaryPlot(X6,main="(f)")
par(opar)


###################################################
### code chunk number 11: HardyWeinberg.Snw:245-262
###################################################
X <- c(21,12,3,7,7,0,7,0,0,0,10,4,16,12,4,0,2,4,11,0,6,18,15,
16,1,1,13,18,0,1,15,13,9,19,5,3,6,2,0,3,10,9,10,6,0,0,
0,24,21,17,21,1,0,0,0,25,3,14,0,0,14,16,22,0,0,17,16,17,2,
2,16,16,2,16,0,2,26,0,0,2,0,14,22,0,24,25,25,12,14,6,1,8,
11,13,14,14,5,8,4,6,5,13,11,4,11,12,3,12,15,11,6,11,8,10,12,
11,6,12,9,7,7,6,7,15,7,3,12,8,15,16,9,13,16,15,17,6,3,3,
4,8,10,8,9,7,5,7,4,7,11,4,4,12,10,7,4,5,10,10,12,9,10,
11,11,12,10,12,13,3,3,4,12,3,13,7,7,3,4,4,14,13,12,17,0,2,
13,8,8,23,5,23,23,24,6,13,0,2,12,26,15,10,3,22,12,2,4,0,16,
14,3,1,19,21,3,2,4,1,12,12,15,11,13,12,3,3,4,5,21,26,26,0,
0,1,0,17,22,23,20,0,15,3,24,23,3,3,0,21,22,0,2,0,16,16,2,
2,14,2,17,14,0,26,25,13,24,2,0,22,1,0,0,3,2,11,11)
X <- matrix(X,byrow=FALSE,ncol=3)
colnames(X) <- c("AA","AB","BB")
samplesizes <- apply(X,1,sum)
print(summary(samplesizes))
Res <- HWTernaryPlot(X,region=1,vbounds=FALSE,ssf="median")


